#ifndef _TIMER_COUNT32_H__
#define _TIMER_COUNT32_H__
#include "os/os_types.h"


void timer_count32_init(void);
u32  timer_count32_get(void);
u32 timer_count32_delta(u32 now, u32 prev);

#define COUNT_CLK (1000 * 1000)

static __inline__ u32 timer_get_5us_ticks(u32 now, u32 count) {
	u32 delta = now - count;
	if (now < count) { //wrap
		delta = 0xFFFFFFFF - count + now + 1;
	}
	return (delta);
}

#endif	/* _TIMER_COUNT32_H__ */

